gRPC C#
gRPC C#
Namespaces
Grpc.Core
SslServerCredentials Class
SslServerCredentials Constructor
SslServerCredentials Properties
SslServerCredentials Methods

SslServerCredentials Class

Server-side SSL credentials.
Inheritance Hierarchy
System
Object
Grpc.Core
ServerCredentials
Grpc.Core
SslServerCredentials

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public class SslServerCredentials : ServerCredentials

    Public Class SslServerCredentials
    	Inherits ServerCredentials

    public ref class SslServerCredentials : public ServerCredentials

    type SslServerCredentials =
        class
            inherit ServerCredentials
        end

The SslServerCredentials type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SslServerCredentials(IEnumerable KeyCertificatePair ) | Creates server-side SSL credentials. This constructor should be use if you do not wish to autheticate client using client root certificates.
| SslServerCredentials(IEnumerable KeyCertificatePair , String, Boolean) | Creates server-side SSL credentials.

Top
Properties

| Name | Description
--- | --- | ---
| ForceClientAuthentication | If true, the authenticity of client check will be enforced.
| KeyCertificatePairs | Key-certificate pairs.
| RootCertificates | PEM encoded client root certificates.

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified object is equal to the current object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as the default hash function. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
See Also

#### Reference

Grpc.Core Namespace